# CodeManager

代码片段可视化管理工具

>如果你现在还在手动敲每一行代码，或者是使用 ctrl-c， ctrl-v 粘代码，那实在是太累了，其实你可以释放你自己。把省下的时间用来写更有趣的代码！🌝

![snippet](Image/snippets.gif)

## 代码片段 Snippets

可能你用过一些 snippets ，也就是我们平时说的代码片段，就是只要敲几个字母，自动生成一大段代码，例如：if, for,foreach，可以极大的减少自己敲代码的代码量，而且能很好的节约时间，看起来是不是很 cool 😁。

## 工具介绍

![snippets](./Image/snippets1.png)

工具分为三个卡片页：

1. 生成本地代码
2. 写入数据库
3. 修改本地数据

### 各个信息介绍

名称：在VS中输入快捷代码之后的提示信息。

作者：代码片段编辑人。

快捷输入：在VS中输入的快捷代码。

详细信息：代码片段的详细说明。

![snippet](Image/snippets2.png)

参数：代码中要进行修改的代码。

默认值：参数在代码中默认值显示值。

具体描述：参数的具体信息。

![snippet](Image/snippets3.png)

### 生成本地代码

通过查询根据输入的关键字查询名称或详细信息中包含关键字的数据呈现到界面中，可以修改名称或快捷方式之后在保存到本地。

### 写入数据库

编辑代码片段数据，保存到本地并上传到数据库。

### 修改本地数据

展示本地数据详细信息，并允许修改名称和快捷方式。

## VS加载

在工具->代码片段管理器(Ctrl K,B)->语言选择Csharp(VS2019)|Visual C#(VS2013) ->添加(选择文件夹)

![snippet](Image/snippets4.png)

![snippet](Image/snippets5.png)
